package com.unipi.talepis;

import java.util.ArrayList;
import java.util.List;

public final class ProfessorImmutable {
    private final String name; //if all the rules for immutability are ok, final is optional
    private final int officeNumber;
    private final List<Integer> grades;

    public ProfessorImmutable(String name, int officeNumber, List<Integer> grades) {
        this.name = name;
        this.officeNumber = officeNumber;
        this.grades = new ArrayList<>(grades);
    }

    public String getName() {
        return name;
    }


    public int getOfficeNumber() {
        return officeNumber;
    }


    public List<Integer> getGrades() {
        return new ArrayList<>(grades);
    }

}
