package com.unipi.talepis;

public class Student {
    private String name;
    private Integer age;
    private Address address;

    public Student(){}

    public Student(Student s){
        this.name = s.getName();
        this.age = s.getAge();
        //this.address = s.getAddress(); //this is not deep copy
        this.address = new Address(s.getAddress()); //this is deep copy
    }

    public Address getAddress() {
        return address;
    }

    public void setAddress(Address address) {
        this.address = address;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }
}

class Address{
    private String road;
    public Address(){}
    public Address(Address address){
        this.road = address.getRoad();
    }
    public String getRoad() {
        return road;
    }

    public void setRoad(String road) {
        this.road = road;
    }
}
